Description: Use read_file instead of readfp for python 3.12
Author: Tianyu Chen <sweetyfish@deepin.org>
Bug-Debian: https://bugs.debian.org/1075760
Forwarded: no
Last-Update: 2024-07-09
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/base/g.py
+++ b/base/g.py
@@ -128,7 +128,7 @@ class ConfigBase(object):
             try:
                 fp = open(self.filename, "r")
                 try:
-                    self.conf.readfp(fp)
+                    self.conf.read_file(fp)
                 except configparser.MissingSectionHeaderError:
                     print("")
                     log.error("Found No Section in %s. Please set the http proxy for root and try again." % self.filename)
--- a/ui/devmgr4.py
+++ b/ui/devmgr4.py
@@ -1227,7 +1227,7 @@ class DevMgr4(DevMgr4_base):
 
             hplip_conf = ConfigParser.ConfigParser()
             fp = open("/etc/hp/hplip.conf", "r")
-            hplip_conf.readfp(fp)
+            hplip_conf.read_file(fp)
             fp.close()
 
             try:
--- a/ui4/devmgr5.py
+++ b/ui4/devmgr5.py
@@ -1024,7 +1024,7 @@ class DevMgr5(QMainWindow,  Ui_MainWindo
 
                 hplip_conf = configparser.ConfigParser()
                 fp = open("/etc/hp/hplip.conf", "r")
-                hplip_conf.readfp(fp)
+                hplip_conf.read_file(fp)
                 fp.close()
 
                 try:
--- a/ui5/devmgr5.py
+++ b/ui5/devmgr5.py
@@ -1072,7 +1072,7 @@ class DevMgr5(Ui_MainWindow_Derived, Ui_
 
                 hplip_conf = configparser.ConfigParser()
                 fp = open("/etc/hp/hplip.conf", "r")
-                hplip_conf.readfp(fp)
+                hplip_conf.read_file(fp)
                 fp.close()
 
                 try:
